Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Thu 18 Dec 2014, 11:38
All times are UTC - 4
 Forum index » Advanced Topics » Puppy Projects
Lucid Puppy 5.2.8 - Updated ISO Version 005 - APR 05 2012
Moderators: Flash, JohnMurga
Post new topic   Reply to topic View previous topic :: View next topic
Page 7 of 190 [2847 Posts]   Goto page: Previous 1, 2, 3, 4, 5, 6, 7, 8, 9, ..., 188, 189, 190 Next
Author Message
dejan555


Joined: 30 Nov 2008
Posts: 2720
Location: Montenegro

PostPosted: Tue 23 Aug 2011, 03:39    Post subject:  

@noryb009 On which windows versions does the installer work?

@kevin bowers It would be good to try to run google earth from terminal, then see if it outputs any error messages.

_________________
Dpup 487 | Puppy Gallery | My photo gallery | mtPaint works
Back to top
View user's profile Send private message Visit poster's website MSN Messenger 
ICPUG

Joined: 24 Jul 2005
Posts: 1290
Location: UK

PostPosted: Tue 23 Aug 2011, 08:07    Post subject:  

dejan555

If you read the 'more info' link pointed to by NoryB you will see that he says the installer works on Windows 95 to 7 except ME.
Back to top
View user's profile Send private message 
dejan555


Joined: 30 Nov 2008
Posts: 2720
Location: Montenegro

PostPosted: Tue 23 Aug 2011, 08:28    Post subject:  

Oops, I somehow missed that Embarassed
_________________
Dpup 487 | Puppy Gallery | My photo gallery | mtPaint works
Back to top
View user's profile Send private message Visit poster's website MSN Messenger 
kevin bowers

Joined: 20 Dec 2009
Posts: 143

PostPosted: Tue 23 Aug 2011, 09:11    Post subject:  

James C wrote:
Your obviously not getting the correct driver selected.... "nv" is the generic driver which doesn't support OpenGL. Have you tried the "choose" option and then picking "Nvidia"? Probe should work to choose the correct driver but evidently not in your case.
Just an idea. Smile

Bingo! I don't know why xorg didn't pick it before but the "choose" option worked, at least as far as Google Earth goes. Hardinfo still reports unknown under open GL, but as long as the functionality is there so what? Thanks all!
Back to top
View user's profile Send private message 
playdayz


Joined: 25 Apr 2008
Posts: 3789

PostPosted: Tue 23 Aug 2011, 10:46    Post subject:  

Quote:
And if localization would work and actually change the menu to the language you use and not just english. Yesterday I gave a helping hand to Sc0ttman, by tranlslating some of his .mo files to danish, so it should not be impossible.

Insomniacno1, There are "language packs" in the Puppy Package Manager. If those do not work then the next step would be to use Shinobar's latest Internationalized Puppy--which oddly I cannot find at the moment.
Back to top
View user's profile Send private message 
keniv

Joined: 06 Oct 2009
Posts: 202
Location: Scotland

PostPosted: Tue 23 Aug 2011, 14:23    Post subject:  

Hi All

I am also having trouble getting the correct video driver to work. When I test for the correct driver using Quickpet it recommends Xorg-High-GLX. I have downloaded and installed this. Shows up as an installed pet in "install". However here is the output of video GLX.

Tue 23 Aug 2011 Operating System: Two-Headed Dog-528 Linux 2.6.33.2
0.0 VGA compatible controller: S3 Inc. 86C270-294 Savage/IX-MV (rev 11)
oem: S3 Incorporated. M7 BIOS

X Server: Xorg Driver: savage
X.Org version: 1.7.6
dimensions: 1024x768 pixels (271x203 millimeters)
depth of root window: 16 planes

direct rendering: Yes
server glx vendor string: SGI
server glx version string: 1.2
OpenGL vendor string: S3 Graphics Inc.
OpenGL renderer string: Mesa DRI Savage/MX/IX 20061110 x86/MMX/SSE
OpenGL version string: 1.2 Mesa 7.7.1

Pentium III (Coppermine)
Core 0: 796 MHz

Boot manager shows the "savage" driver is the is the one which is currently loaded. The Xorg-High- GLX driver is not shown as loaded or blacklisted. I have read the earlier post which suggests re-running the Xorg Video Wizard to make the changes necessary to get the driver to load but I am not sure which of the menu choices I am supposed to use. Could somebody explain to me as simply as possible what I have to do to get the correct driver to load. I am using a Toshiba Satellite Pro 4200 800Mz 320MB booting from a cd with both a savefile and the sfs file on the hd. This was a clean install with a new savefile rather than an update.

Other than this problem and one with playing flash (now fixed) I am very pleased with this new Puppy. It really is very good.

Regards,

Ken.
Back to top
View user's profile Send private message 
karm2865


Joined: 20 Mar 2011
Posts: 57

PostPosted: Tue 23 Aug 2011, 14:53    Post subject: full install update  

Nube question time
Is there a way to update Puppy, Lucid 5.2.5 full install to Puppy, Lucid 5.2.8 full install.
short of a clean install?
Back to top
View user's profile Send private message 
bigpup


Joined: 11 Oct 2009
Posts: 5479
Location: Charleston S.C. USA

PostPosted: Tue 23 Aug 2011, 15:39    Post subject: Re: full install update  

karm2865 wrote:
Nube question time
Is there a way to update Puppy, Lucid 5.2.5 full install to Puppy, Lucid 5.2.8 full install.
short of a clean install?

The safest way to upgrade a full install.

To upgrade burn a new CD of the newer version.
Boot with this new CD.
Use boot option (puppy pfix=ram).
Run the Puppy Universal Installer.
Select the same location for install as the Puppy you are upgrading.
Select Full Install.
Choose "upgrade", not "wipe".
No need to reinstall grub.
It will save your previous settings.
(may want to edit Grub menu.lst to change title info to newer version)
Remove CD.
Reboot computer.
Because you where running from CD it will ask if you want to make a save file.
Answer no.
At boot menu select your upgraded Puppy.

_________________
I have found, in trying to help people, that the things they do not tell you, are usually the clue to solving the problem.
When I was a kid I wanted to be older.... This is not what I expected Shocked
Back to top
View user's profile Send private message 
don


Joined: 06 Sep 2005
Posts: 57
Location: Virginia, USA

PostPosted: Tue 23 Aug 2011, 16:03    Post subject: Re: Iron 13, Google Chrome 13, Chromium 15  

This works fine for me. It installs Chrome-13 in /opt, but it won't run by clicking on an icon in /opt, returning a message that Chrome can't be run as root. It does run when clicked in the internet menu. How can I get an icon on the desktop?
Back to top
View user's profile Send private message 
playdayz


Joined: 25 Apr 2008
Posts: 3789

PostPosted: Tue 23 Aug 2011, 17:30    Post subject:  

Quote:
This works fine for me. It installs Chrome-13 in /opt, but it won't run by clicking on an icon in /opt, returning a message that Chrome can't be run as root. It does run when clicked in the internet menu. How can I get an icon on the desktop?

Don, the Browse icon should run Chrome, doesn't it, unless you installed another browser afterwards. Also, you can drag the /usr/share/applications/google_chrome.desktop file onto the desktop, and then right-click and edit the name. Or you can drag the /usr/bin/google_chrome file onto the desktop.

There are some parameters included in the /usr/bin/google_chrome file that are necessary to run Chrome as root. I think the Chromium developers heard some complaints when they prevented Chrome from running as root, so they included a method to do so.
Back to top
View user's profile Send private message 
playdayz


Joined: 25 Apr 2008
Posts: 3789

PostPosted: Tue 23 Aug 2011, 17:39    Post subject:  

Quote:
direct rendering: Yes
server glx vendor string: SGI
server glx version string: 1.2
OpenGL vendor string: S3 Graphics Inc.
OpenGL renderer string: Mesa DRI Savage/MX/IX 20061110 x86/MMX/SSE
OpenGL version string: 1.2 Mesa 7.7.1

Pentium III (Coppermine)
Core 0: 796 MHz

Boot manager shows the "savage" driver is the is the one which is currently loaded. The Xorg-High- GLX driver is not shown as loaded or blacklisted.

keniv, I think you are good. Xorg_High is a supplement to the other drivers, adding the glx files, not a replacement. So you have the S3 Savage driver, now with the appropriate mesa glx/dri file, and Direct rendering is Yes.

Opening a console and running glxgears should show that everything is cool--just as it should be.

Don't forget to Menu -> Shutdown -> Restart X server to activate the glx/dri.

BTW, I have an S3 Savage graphics and a 800MZ P3 Coppermine in my old Thinkpad.



.
Back to top
View user's profile Send private message 
Arthur

Joined: 10 Nov 2008
Posts: 15
Location: Earth

PostPosted: Wed 24 Aug 2011, 08:01    Post subject: great Puppy version
Subject description: working well
 

Thank you for a great version of Puppy. The only one to work on my main desktop machine - found the soundblaster card and Nvidia Geforce GT220 graphics card worked with the Nvidia driver. Google earth works well.

Also running well on my Portege A100 laptop and from a CF card in this compaq evo desktop.

I'm moving on from 431 and am impressed by the many changes and the ease of use of this puppy. Quickpet is very easy to use and the choice of software is excellent.

_________________
Lucid 528 on 4gig cf card to ide adaptor. 1gig ram. Compaq Evo 2gig processor. Also running Wary 511 Mediaplayer edition.
Back to top
View user's profile Send private message 
keniv

Joined: 06 Oct 2009
Posts: 202
Location: Scotland

PostPosted: Wed 24 Aug 2011, 11:30    Post subject:  

Hi Playdayz

Thanks for your reply and the information about the Xorg-High driver. I did think that the savage driver should have been replaced by the Xorg-High driver but from your explanation I now realize this is not the case. I have run glxgears in a terminal but I do not really understand what the output means and so I have attached it below.

sh-4.1# glxgears
1423 frames in 5.0 seconds
1306 frames in 5.0 seconds
1378 frames in 5.0 seconds
1484 frames in 5.0 seconds
1472 frames in 5.0 seconds
1484 frames in 5.0 seconds
1467 frames in 5.0 seconds
1473 frames in 5.0 seconds
1448 frames in 5.0 seconds
1460 frames in 5.0 seconds
1463 frames in 5.0 seconds
1463 frames in 5.0 seconds
1463 frames in 5.0 seconds
1472 frames in 5.0 seconds
1461 frames in 5.0 seconds
1458 frames in 5.0 seconds
1461 frames in 5.0 seconds
1469 frames in 5.0 seconds
1463 frames in 5.0 seconds
1466 frames in 5.0 seconds
1464 frames in 5.0 seconds
1470 frames in 5.0 seconds
1447 frames in 5.0 seconds

Can you tell me if this is what I should expect if the Xorg-High driver is working.

Thanks again for a great Puppy.

Ken.
Back to top
View user's profile Send private message 
playdayz


Joined: 25 Apr 2008
Posts: 3789

PostPosted: Wed 24 Aug 2011, 12:51    Post subject:  

Quote:
1447 frames in 5.0 seconds

Can you tell me if this is what I should expect if the Xorg-High driver is working.

Yes Ken, glxgears won't work *unless* Xorg_High is installed and working. What it is telling you is how many frames per second your video generates on the simple gears pattern that you see. Since this is an old computer (like mine) the "frame rate" is not very fast by modern standards so some videos probably will not play smoothly, because the computer cannot compute and display one frame before it is time to start on the next frame. But this is as good as it is going to get Wink My Thinkpad with S3 Savage and even with Xorg_High , for instance, is too slow to watch youtube videos. I will test mine and see how it compares to your numbers.

Yep, the same, `1680, 1682, 1699, 1684, etc. Well, mine is a tiny bit faster, but not significantly.
Back to top
View user's profile Send private message 
keniv

Joined: 06 Oct 2009
Posts: 202
Location: Scotland

PostPosted: Wed 24 Aug 2011, 14:27    Post subject:  

Hi Playdayz

Thanks for the explanation of the output from glxgears. I am glad that the Xorg- High driver is working as it should. I do get the "jerky" problem watching youtube videos through my browser. I don't know exactly how old this old laptop is but the bios is dated 1999 and so it looks to be at least 10 years old. As you suggest it has its limitations but I am pleased to say that 528 runs pretty well.

Thanks again for your help.

Regards,

Ken.
Back to top
View user's profile Send private message 
Display posts from previous:   Sort by:   
Page 7 of 190 [2847 Posts]   Goto page: Previous 1, 2, 3, 4, 5, 6, 7, 8, 9, ..., 188, 189, 190 Next
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » Advanced Topics » Puppy Projects
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.1142s ][ Queries: 12 (0.0223s) ][ GZIP on ]